//------------------------------------------
#property copyright "deneme"
#property link      "bahadirgurbuz@gmail.com"
//----
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Aqua
#property indicator_color2 Red
#property indicator_color3 Yellow


//---- input parameters --------------- 

extern int       MaAvg           =   200;
extern int       MaAvgMethod     =    2;


double LineBufferEUR[];
double LineBufferUSD[];
double LineBufferEURUSD[];
//-------------------------
double USDscore[];
double EURscore[];
double CHFscore[];
double CADscore[];
double JPYscore[];
double NZDscore[];
double GBPscore[];
double AUDscore[];
//----
double EUR1score[];
double USD1score[];
double EURUSDscore[];
//+------------------------------------------------------------------+
int init()
 {
   IndicatorBuffers(14);
   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, LineBufferEUR);
   SetIndexLabel(0, "EUR");
   SetIndexStyle(1, DRAW_LINE);
   SetIndexBuffer(1, LineBufferUSD);
   SetIndexLabel(1, "USD");
   SetIndexStyle(2, DRAW_LINE);
   SetIndexBuffer(2, LineBufferEURUSD);
   SetIndexLabel(2, "EURUSD");
   SetIndexBuffer(3, EUR1score);
   SetIndexBuffer(4, USD1score);
   SetIndexBuffer(5, EURUSDscore);
   SetIndexBuffer(6, USDscore);
   SetIndexBuffer(7, EURscore);
   SetIndexBuffer(8, CHFscore);
   SetIndexBuffer(9, CADscore);
   SetIndexBuffer(10,JPYscore);
   SetIndexBuffer(11,NZDscore);
   SetIndexBuffer(12,GBPscore);
   SetIndexBuffer(13,AUDscore);
 
   return(0);
 }
//+------------------------------------------------------------------+
int start()
 {
   int i, counted_bars = IndicatorCounted();
   //----
   if(counted_bars < 0) 
       return(-1);
      //---- last counted bar will be recounted
   int limit = Bars - counted_bars;
  
   //---- moving average
   for(i = 0; i < limit; i++)
    {     
      USDscore[i] = (((iClose("USDJPY", 0, i)+iClose("USDJPY", 0, i+2)-2*iClose("USDJPY", 0, i+1)) + (iClose("USDCHF", 0, i)+iClose("USDCHF", 0, i+2)-2*iClose("USDCHF", 0, i+1)) + (iClose("USDCAD", 0, i)+iClose("USDCAD", 0, i+2)-2*iClose("USDCAD", 0, i+1)))   
                   -((iClose("NZDUSD", 0, i)+iClose("NZDUSD", 0, i+2)-2*iClose("NZDUSD", 0, i+1)) + (iClose("GBPUSD", 0, i)+iClose("GBPUSD", 0, i+2)-2*iClose("GBPUSD", 0, i+1)) + (iClose("EURUSD", 0, i)+iClose("EURUSD", 0, i+2)-2*iClose("EURUSD", 0, i+1)) 
                   +(iClose("AUDUSD", 0, i)+iClose("AUDUSD", 0, i+2)-2*iClose("AUDUSD", 0, i+1))))*100000
                ;        
   
      EURscore[i] = (((iClose("EURUSD", 0, i)+iClose("EURUSD", 0, i+2)-2*iClose("EURUSD", 0, i+1)) + (iClose("EURCHF", 0, i)+iClose("EURCHF", 0, i+2)-2*iClose("EURCHF", 0, i+1)) + (iClose("EURGBP", 0, i)+iClose("EURGBP", 0, i+2)-2*iClose("EURGBP", 0, i+1))
                   +(iClose("EURAUD", 0, i)+iClose("EURAUD", 0, i+2)-2*iClose("EURAUD", 0, i+1)) + (iClose("EURNZD", 0, i)+iClose("EURNZD", 0, i+2)-2*iClose("EURNZD", 0, i+1)) + (iClose("EURCAD", 0, i)+iClose("EURCAD", 0, i+2)-2*iClose("EURCAD", 0, i+1))
                   +(iClose("EURJPY", 0, i)+iClose("EURJPY", 0, i+2)-2*iClose("EURJPY", 0, i+1))))*100000
                ;  
             
      CHFscore[i] = (((iClose("CHFJPY", 0, i)+iClose("CHFJPY", 0, i+2)-2*iClose("CHFJPY", 0, i+1))) - ((iClose("EURCHF", 0, i)+iClose("EURCHF", 0, i+2)-2*iClose("EURCHF", 0, i+1)) + (iClose("GBPCHF", 0, i)+iClose("GBPCHF", 0, i+2)-2*iClose("GBPCHF", 0, i+1))
                   +(iClose("AUDCHF", 0, i)+iClose("AUDCHF", 0, i+2)-2*iClose("AUDCHF", 0, i+1)) + (iClose("CADCHF", 0, i)+iClose("CADCHF", 0, i+2)-2*iClose("CADCHF", 0, i+1)) + (iClose("NZDCHF", 0, i)+iClose("NZDCHF", 0, i+2)-2*iClose("NZDCHF", 0, i+1)) 
                   + (iClose("USDCHF", 0, i)+iClose("USDCHF", 0, i+2)-2*iClose("USDCHF", 0, i+1))))*100000
                ;  
           
      CADscore[i] = (((iClose("CADJPY", 0, i)+iClose("CADJPY", 0, i+2)-2*iClose("CADJPY", 0, i+1)) + (iClose("CADCHF", 0, i)+iClose("CADCHF", 0, i+2)-2*iClose("CADCHF", 0, i+1))) -((iClose("USDCAD", 0, i)+iClose("USDCAD", 0, i+2)-2*iClose("USDCAD", 0, i+1)) 
                   + (iClose("AUDCAD", 0, i)+iClose("AUDCAD", 0, i+2)-2*iClose("AUDCAD", 0, i+1)) + (iClose("EURCAD", 0, i)+iClose("EURCAD", 0, i+2)-2*iClose("EURCAD", 0, i+1)) + (iClose("NZDCAD", 0, i)+iClose("NZDCAD", 0, i+2)-2*iClose("NZDCAD", 0, i+1))
                   + (iClose("GBPCAD", 0, i)+iClose("GBPCAD", 0, i+2)-2*iClose("GBPCAD", 0, i+1))))*100000
                ;    
                                
      JPYscore[i] = (-((iClose("USDJPY", 0, i)+iClose("USDJPY", 0, i+2)-2*iClose("USDJPY", 0, i+1)) + (iClose("EURJPY", 0, i)+iClose("EURJPY", 0, i+2)-2*iClose("EURJPY", 0, i+1)) + (iClose("CADJPY", 0, i)+iClose("CADJPY", 0, i+2)-2*iClose("CADJPY", 0, i+1))
                   +(iClose("GBPJPY", 0, i)+iClose("GBPJPY", 0, i+2)-2*iClose("GBPJPY", 0, i+1)) + (iClose("AUDJPY", 0, i)+iClose("AUDJPY", 0, i+2)-2*iClose("AUDJPY", 0, i+1)) + (iClose("CHFJPY", 0, i)+iClose("CHFJPY", 0, i+2)-2*iClose("CHFJPY", 0, i+1))
                   +(iClose("NZDJPY", 0, i)+iClose("NZDJPY", 0, i+2)-2*iClose("NZDJPY", 0, i+1))))*10000
                ;         
               
      NZDscore[i] = (((iClose("NZDJPY", 0, i)+iClose("NZDJPY", 0, i+2)-2*iClose("NZDJPY", 0, i+1)) + (iClose("NZDUSD", 0, i)+iClose("NZDUSD", 0, i+2)-2*iClose("NZDUSD", 0, i+1)) + (iClose("NZDCHF", 0, i)+iClose("NZDCHF", 0, i+2)-2*iClose("NZDCHF", 0, i+1)) 
                   +(iClose("NZDCAD", 0, i)+iClose("NZDCAD", 0, i+2)-2*iClose("NZDCAD", 0, i+1))) -((iClose("AUDNZD", 0, i)+iClose("AUDNZD", 0, i+2)-2*iClose("AUDNZD", 0, i+1)) + (iClose("EURNZD", 0, i)+iClose("EURNZD", 0, i+2)-2*iClose("EURNZD", 0, i+1)) 
                   +(iClose("GBPNZD", 0, i)+iClose("GBPNZD", 0, i+2)-2*iClose("GBPNZD", 0, i+1))))*100000
                ;      
             
      GBPscore[i] =(-((iClose("EURGBP", 0, i)+iClose("EURGBP", 0, i+2)-2*iClose("EURGBP", 0, i+1))) + ((iClose("GBPUSD", 0, i)+iClose("GBPUSD", 0, i+2)-2*iClose("GBPUSD", 0, i+1)) + (iClose("GBPCHF", 0, i)+iClose("GBPCHF", 0, i+2)-2*iClose("GBPCHF", 0, i+1))
                   +(iClose("GBPJPY", 0, i)+iClose("GBPJPY", 0, i+2)-2*iClose("GBPJPY", 0, i+1)) + (iClose("GBPCAD", 0, i)+iClose("GBPCAD", 0, i+2)-2*iClose("GBPCAD", 0, i+1)) + (iClose("GBPAUD", 0, i)+iClose("GBPAUD", 0, i+2)-2*iClose("GBPAUD", 0, i+1)) 
                   + (iClose("GBPNZD", 0, i)+iClose("GBPNZD", 0, i+2)-2*iClose("GBPNZD", 0, i+1))))*30000
                ;  
               
      AUDscore[i] = (((iClose("AUDUSD", 0, i)+iClose("AUDUSD", 0, i+2)-2*iClose("AUDUSD", 0, i+1)) + (iClose("AUDNZD", 0, i)+iClose("AUDNZD", 0, i+2)-2*iClose("AUDNZD", 0, i+1)) + (iClose("AUDCAD", 0, i)+iClose("AUDCAD", 0, i+2)-2*iClose("AUDCAD", 0, i+1)) 
                   +(iClose("AUDCHF", 0, i)+iClose("AUDCHF", 0, i+2)-2*iClose("AUDCHF", 0, i+1)) + (iClose("AUDJPY", 0, i)+iClose("AUDJPY", 0, i+2)-2*iClose("AUDJPY", 0, i+1))) -((iClose("EURAUD", 0, i)+iClose("EURAUD", 0, i+2)-2*iClose("EURAUD", 0, i+1)) 
                   +(iClose("GBPAUD", 0, i)+iClose("GBPAUD", 0, i+2)-2*iClose("GBPAUD", 0, i+1))))*100000
                ;                 
    }         
   //---------------------------------------------------------------------
  
   //---------------------------------------------------------------------
    for(i = 0; i < limit; i++)
    {
      
      EUR1score[i] = iMAOnArray(EURscore, 0, MaAvg , 0, MaAvgMethod, i);
    
      USD1score[i] =iMAOnArray(USDscore, 0, MaAvg , 0, MaAvgMethod, i);
    }  
   //---------------------------------------------------------------------
    for(i = 0; i < limit; i++)
    {
     EURUSDscore[i] = EUR1score[i] - USD1score[i];
    }
   //--------------------------------------------------------------------- 
   for(i = 0; i < limit; i++)
    {
      
      LineBufferEUR[i] = iMAOnArray(EUR1score, 0, MaAvg , 0, MaAvgMethod, i);
   
      LineBufferUSD[i] = iMAOnArray(USD1score, 0, MaAvg , 0, MaAvgMethod, i);
  
      LineBufferEURUSD[i] = iMAOnArray(EURUSDscore, 0, MaAvg , 0, MaAvgMethod, i);
    }
   return(0);
 }
  